"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAtomCreator = exports.calculatedAtoms = void 0;
exports.calculatedAtoms = [];
function getAtomCreator(obj) {
    var objAtoms = {};
    var createAtomIfNotExists = function (p, value) {
        var hasOwn = Object.prototype.hasOwnProperty.call(objAtoms, p);
        var existingAtom = hasOwn
            ? objAtoms[p]
            : undefined;
        return existingAtom !== undefined
            ? existingAtom
            : objAtoms[p] = {
                dependencies: [],
                dependents: [],
                isDirty: true,
                name: p,
                source: obj,
                value: value,
            };
    };
    return createAtomIfNotExists;
}
exports.getAtomCreator = getAtomCreator;
//# sourceMappingURL=atoms.js.map