import { ITransaction } from './mutations';
export declare function observeFunction<T extends Function>(fn: T, onSet?: (tx: ITransaction) => void): T;
export declare function originalFnObserve<T extends Function>(fn: T, onSet?: (tx: ITransaction) => void): T;
export declare function observeObj<T extends {}>(obj: T, onSet?: (tx: ITransaction) => void): T;
export declare function observeWeakMap<K extends object, V>(obj: WeakMap<K, V>, onSet?: (tx: ITransaction) => void): WeakMap<K, V>;
export declare function observeArray<T extends unknown[]>(arr: T, onSet?: (tx: ITransaction) => void): T;
export declare function observe<T>(obj: T, onSet?: (tx: ITransaction) => void): T;
//# sourceMappingURL=observe.d.ts.map