"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mutate = void 0;
var calculations_1 = require("./calculations");
var mutating = false;
var mutatedAtoms = [];
function mutate(atom, mutation, onSet) {
    if (!mutatedAtoms.length && onSet) {
        setTimeout(function () {
            onSet({ mutatedAtoms: mutatedAtoms });
            mutatedAtoms = [];
        });
    }
    if (!mutating) {
        mutatedAtoms.push(atom);
    }
    mutating = true;
    var result = mutation();
    (0, calculations_1.markAsDirty)(atom);
    mutating = false;
    return result;
}
exports.mutate = mutate;
//# sourceMappingURL=mutations.js.map